#
# Conditional build:
%bcond_without	ftdi	# FTDI chips
#
Summary:	Tool Flashing your BIOS from the Unix/Linux command line
Summary(pl.UTF-8):	Narzędzie do aktualizacji BIOS-u z linii poleceń Uniksa/Linuksa
Name:		flashrom
Version:	0.9.9
Release:	1
License:	GPL v2+
Group:		Applications/System
Source0:	http://download.flashrom.org/releases/%{name}-%{version}.tar.bz2
# Source0-md5:	aab9c98925d9cfb5ffb28b67a6112530
URL:		http://www.flashrom.org/Flashrom
%{?with_ftdi:BuildRequires:	libftdi1-devel >= 1.0}
# libusb 0.1 still needed for PICKIT2_SPI dongle
BuildRequires:	libusb-compat-devel >= 0.1
BuildRequires:	libusb-devel >= 1.0
BuildRequires:	pciutils-devel
BuildRequires:	pkgconfig
BuildRequires:	zlib-devel
ExclusiveArch:	%{ix86} %{x8664} x32 mips ppc ppc64 sparc sparcv9 sparc64
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sbindir		/sbin

%description
flashrom is a utility for identifying, reading, writing, verifying and
erasing flash chips. It's often used to flash BIOS / EFI / coreboot /
firmware images.
 - Supports more than 160 flash chips, 75 chipsets, 100 mainboards, and
   10 PCI devices which can be used as external programmers.
 - Supports parallel, LPC, FWH and SPI flash interfaces and various
   chip packages (DIP32, PLCC32, DIP8, SO8/SOIC8, TSOP32, TSOP40 and
   more)
 - No physical access needed, root access is sufficient.
 - No bootable floppy disk, bootable CD-ROM or other media needed.
 - No keyboard or monitor needed. Simply reflash remotely via SSH.
 - No instant reboot needed. Reflash your chip in a running system,
   verify it, be happy. The new firmware will be present next time you
   boot.
 - Crossflashing and hotflashing is possible as long as the flash chips
   are electrically and logically compatible (same protocol). Great for
   recovery.
 - Scriptability. Reflash a whole pool of identical machines at the
   same time from the command line. It is recommended to check flashrom
   output and error codes.
 - Speed. flashrom is often much faster than most vendor flash tools.
 - Portability. Supports Linux, FreeBSD, DragonFly BSD, Solaris, Mac OS
   X, and other Unix-like OSes.

%description -l pl.UTF-8
flashrom to narzędzie do identyfikacji, odczytu, zapisu, weryfikacji i
kasowania układów flash. Jest często używany do programowania obrazów
BIOS-u / EFI / coreboot / firmware'u.
 - Obsługuje ponad 160 układów flash, 75 chipsetów, 100 płyt głównych i
   10 urządzeń PCI, które mogą być wykorzystane jako zewnętrzne
   programatory.
 - Wspiera układy flash równoległe, LPC, SPI i FWH o różnych
   obudowach/wyprowadzeniach (DIP32, PLCC32, DIP8, SO8/SOIC8, TSOP32,
   TSOP40 i inne)
 - Nie wymaga fizycznego dostępu, wystarczy dostęp do konta roota.
 - Nie potrzebuje bootowalnej dyskietki, rozruchowego dysku CD-ROM lub
   innych nośników.
 - Nie jest wymagana klawiatura ani monitor. Wystarczy przeprogramować
   zdalnie poprzez SSH.
 - Nie ma potrzeby ponownego uruchamiania komputera. Wystarczy
   przeprogramować układ w uruchomionym systemie, zweryfikować i być
   szczęśliwym. Nowy firmware będzie dostępny przy następnym bootowaniu.
 - Crossflashing i hotflashing są możliwe na tyle, na ile układy flash
   są elektrycznie i logicznie kompatybilne (ten sam protokół). Jest to
   świetna metoda do przywracania sprzętu ze źle zaprogramowanym
   firmwarem/BIOS-em.
 - Pozwala na tworzenie skryptów do wielokrotnego programowania.
   Programowanie identycznych maszyn w tym samym czasie z wiersza
   poleceń. Zaleca się sprawdzanie komunikatów programu flashrom i kodów
   błędów.
 - Szybkość. flashrom jest często znacznie szybszy niż większość
   sprzedawanych narzędzi do flashowania.
 - Wszechstronność. Obsługuje systemy Linux, FreeBSD, Dragonfly BSD,
   Solaris, Mac OS X oraz inne systemy operacyjne oparte na Uniksie.

%prep
%setup -q

%build
%{__make} \
	CC='%{__cc}' \
	CFLAGS="%{rpmcflags}" \
	LDFLAGS="%{rpmldflags}" \
	%{!?with_ftdi:CONFIG_FT2232_SPI=no}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_mandir}/man8}
install %{name} $RPM_BUILD_ROOT%{_sbindir}
install %{name}.8 $RPM_BUILD_ROOT%{_mandir}/man8

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_sbindir}/flashrom
%{_mandir}/man8/flashrom.8*
%changelog
* Tue Mar 15 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/flashrom.git;a=log;h=master

* Tue Mar 15 2016 Jakub Bogusz <qboosh@pld-linux.org> 5e9e078
- added x32 arch

* Tue Mar 15 2016 Jakub Bogusz <qboosh@pld-linux.org> 5cd34de
- updated to 0.9.9
- use libftdi1/libusb 1.0 (libusb 0.1 is still needed though, for PICKIT2_SPI dongle support)

* Fri Oct 23 2015 Jakub Bogusz <qboosh@pld-linux.org> 3610a7a
- updated to 0.9.8

* Fri Aug 23 2013 Jakub Bogusz <qboosh@pld-linux.org> 672fe5e
- updated to 0.9.7

* Tue Aug 14 2012 Bartlomiej Zimon <uzi18@o2.pl> ec8b91b
- up to 0.9.6.1: New features and bugfixes

* Mon May 14 2012 Łukasz Kieś <kiesiu@pld-linux.org> 85a10d9
- updated to 0.9.5.2

* Sat Mar 03 2012 Jakub Bogusz <qboosh@pld-linux.org> 811a405
- updated to 0.9.5.1

* Mon Feb 20 2012 lisu <lisu@pld-linux.org> 8091f4c
- up to 0.9.5

* Tue Aug 16 2011 Jakub Bogusz <qboosh@pld-linux.org> ff69fcf
- BR: libftdi-devel

* Tue Aug 16 2011 Jakub Bogusz <qboosh@pld-linux.org> e8789d1
- updated URL
- pl fixes
- EA: x86 mips ppc
- don't package nth copy of GPLv2

* Tue Aug 16 2011 lisu <lisu@pld-linux.org> a714720
- updated to 0.9.4
- new URL for Source0

* Wed Dec 01 2010 lisu <lisu@pld-linux.org> fe110a6
- 0.9.3
- adapter

* Mon Jun 07 2010 lisu <lisu@pld-linux.org> 7a9c467
- 0.9.2

* Mon Sep 14 2009 lisu <lisu@pld-linux.org> 31451be
- up to 0.9.1
- pass LIBS just once

* Thu Jun 11 2009 shadzik <shadzik@pld-linux.org> e2e87bc
- rpm-build BR is redundand

* Thu Jun 11 2009 shadzik <shadzik@pld-linux.org> 563c060
- proper Group
- braught to you by Daniel Dawid Majewski <light-i at o2 dot pl>

* Tue Jun 09 2009 ankry <ankry@pld-linux.org> f388f9d
- formatting

* Tue Jun 09 2009 shadzik <shadzik@pld-linux.org> 8d0a87e
- adapterized
- pl description some mispell removed
- %prep section unneeded %sed line
- braucht to you by Daniel Dawid Majewski <light-i at o2 dot pl>

* Tue Jun 09 2009 shadzik <shadzik@pld-linux.org> e41553f
- re-add pciutils-devel as BR

* Tue Jun 09 2009 lisu <lisu@pld-linux.org> 68fe7f7
- some pl fixes

